Bug 56359 - Anaconda crashed before entering disk druid.
Summary: Anaconda crashed before entering disk druid.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i586 Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-16 04:00 UTC by Doug Jones
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
System Dump while running Anaconda (35.29 KB, text/plain)
2001-11-16 04:02 UTC, Doug Jones
no flags Details
Dump of Anaconda from 12/4/01 after unsuccessfully installing. (36.20 KB, text/plain)
2001-12-05 05:24 UTC, Doug Jones
no flags Details
Dump of Anaconda 1/9/02 after entering line 'linux mem=32M'. (31.46 KB, text/plain)
2002-01-10 00:18 UTC, Doug Jones
no flags Details
anaconda dump (35.32 KB, text/plain)
2003-02-18 09:10 UTC, james shepherd
no flags Details

Description Doug Jones 2001-11-16 04:00:49 UTC
Description of Problem:
While trying to install RH 7.2, anaconda crashed while doing system checks before entering DiskDruid.

Version-Release number of selected component (if applicable):


How Reproducible:
Unknown.

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
System is a Pentium-200 with 64 megs RAM.  All hard drives are SCSI running off of an Adaptec AHA-2940 controller with BIOS version 
1.1.16.  The three drives are a Seagate ST4767N (665 Mb) (SCSI ID 1), a ST15150N (4.29 Gb) (SCSI ID 0) and a ST410800N (10.8 Gb) 
(SCSI ID 2).  There is also a Plextor CD-ROM (6x) (SCSI ID 5) and an Iomega Jaz 1.0 Gb drive (SCSI ID 4).  All three of the hard drives were 
low-level formatted through the disk utilites in the SCSI BIOS.

Comment 1 Doug Jones 2001-11-16 04:02:02 UTC
Created attachment 37722 [details]
System Dump while running Anaconda

Comment 2 Brent Fox 2001-11-29 15:14:54 UTC
In the attachment, I see lots of this output from the kernel:

<6>Device 0b:00 not ready.
<4> I/O error: dev 0b:00, sector 59432
<6>Device not ready.  Make sure there is a disc in the drive.
<6>Device 0b:00 not ready.
<4> I/O error: dev 0b:00, sector 59456
<6>Device 0b:00 not ready.
<4> I/O error: dev 0b:00, sector 59440
<6>Device 0b:00 not ready.


Are you sure that the cd's are good?  If you downloaded them, did you check the
md5sum of the ISOs?

Comment 3 Doug Jones 2001-11-30 17:04:35 UTC
These are CDs that were given to me by a Red Hat representative at the Linux Showcase in Oakland, CA.

Comment 4 Brent Fox 2001-12-04 04:39:18 UTC
Can you try booting the cd's with 'linux apic'?  Does that help?

Comment 5 Doug Jones 2001-12-05 05:22:59 UTC
It did not work.  The system crashed when trying to go into disk druid so that I could partition the drives.  All three drives were low-level formatted by 
the Adaptec utilities on the SCSI card.  See attached file.

Comment 6 Doug Jones 2001-12-05 05:24:51 UTC
Created attachment 39667 [details]
Dump of Anaconda from 12/4/01 after unsuccessfully installing.

Comment 7 Brent Fox 2001-12-18 17:00:25 UTC
From your latest debug message, the following output from /tmp/syslog looks
suspicious.  I'm passing this on to the kernel team.

<1>Unable to handle kernel NULL pointer dereference at virtual address 00000088
<4> printing eip:
<4>c012314a
<1>*pde = 00000000
<4>Oops: 0000
<4>CPU:    0
<4>EIP:    0010:[<c012314a>]
<4>EFLAGS: 00010246
<4>eax: c10354b8   ebx: 00000080   ecx: c0219f34   edx: c0219f34
<4>esi: 000eb000   edi: 000b0000   ebp: c07c4940   esp: c07c9c00
<4>ds: 0018   es: 0018   ss: 0018
<4>Process XF86_FBDev (pid: 74, stackpage=c07c9000)
<4>Stack: c10354b8 c01207cb c10354b8 000000b1 00000000 40a8b000 c07cf408 409a0000 
<4> 00000000 40a8b000 c07cf408 00000000 c0124155 c07c9c94 c1050c54 c01243d6 
<4> c3ca7db0 00001000 c11f6364 00000001 00000000 00000080 c3ca7db0 00000009 
<4>Call Trace: [<c01207cb>] [<c0124155>] [<c01243d6>] [<c0122cb0>] [<c0136b37>] 
<4> [<c0136c7c>] [<c01ecc48>] [<c0143788>] [<c01367ec>] [<c014333c>] [<c0137192>] 
<4> [<c01373af>] [<c013817c>] [<c0105a2d>] [<c0106dbf>] 
<4>
<4>Code: 8b 53 08 8d 4b 08 89 42 04 89 10 89 48 04 89 43 08 8b 43 24 
<4> exit_mmap: map count is 2



Comment 8 Arjan van de Ven 2002-01-04 10:55:06 UTC
Could you try typing "linux mem=xxxM" (where xxx is the amount of memory you
have in megabytes minus 32) on the syslinux prompt (very first screen)

Comment 9 Doug Jones 2002-01-10 00:18:13 UTC
Created attachment 42151 [details]
Dump of Anaconda 1/9/02 after entering line 'linux mem=32M'.

Comment 10 Doug Jones 2002-01-10 00:19:56 UTC
As suggested, I entered 'linux mem=32M' (since I have 64M total on the machine).  The installer used the non-graphical version of the installer, and 
it crashed trying to enter disk druid.  Dump of Anaconda has been attached.

Comment 11 james shepherd 2003-02-18 09:08:36 UTC
I had this trouble with RH 8.0.

I found that choosing fdisk, then quitting fdisk, then back, then the disk 
druid options no longer crashed on start up.

Don't ask me why...

Comment 12 james shepherd 2003-02-18 09:10:47 UTC
Created attachment 90152 [details]
anaconda dump

This is the bug dump I consistently get in the above situation as well, but
with 8.0. I even tried reformatting the HD to a huge FAT partition, still got
the bug.

Comment 13 Bugzilla owner 2004-09-30 15:39:16 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.